---
name: Bug report
about: Create a report to help us improve
title: ''
labels: 'bug'
assignees: ''

---

**Describe the bug**
A clear and concise description of what the bug is.

**To Reproduce**
Steps to reproduce the behavior:
1. Use URI '...'
2. Call function '...'
3. See error

**Expected behavior**
A clear and concise description of what you expected to happen.

**Actual behavior**
A clear and concise description of what actually happened.

**Environment:**
 - OS: [e.g. macOS, Ubuntu, Windows]
 - Python version: [e.g. 3.12.4]
 - python-redis-factory version: [e.g. 0.1.0]
 - Redis version: [e.g. 7.0.0]

**Code example**
```python
from python_redis_factory import get_redis_client

# Your code here
client = get_redis_client("redis://localhost:6379")
```

**Error message**
```
Paste the full error message here
```

**Additional context**
Add any other context about the problem here. 